Bug 610759 - (CVE-2010-2596) CVE-2010-2596 libtiff: assertion failure on downsampled OJPEG file
CVE-2010-2596 libtiff: assertion failure on downsampled OJPEG file
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100416,reported=20100701,sou...
: Security
Depends On: 583081 1063464 1063465
Blocks: 994449
  Show dependency treegraph
 
Reported: 2010-07-02 07:56 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-27 14:35:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-07-02 07:56:11 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2596 to
the following vulnerability:

The OJPEGPostDecode function in tif_ojpeg.c in LibTIFF 3.9.0 and
3.9.2, as used in tiff2ps, allows remote attackers to cause a denial
of service (assertion failure and application exit) via a crafted TIFF
image, related to "downsampled OJPEG input."

References:
  [1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2596
  [2] http://bugzilla.maptools.org/show_bug.cgi?id=2209
  [3] https://bugzilla.redhat.com/show_bug.cgi?id=583081
Comment 1 Jan Lieskovsky 2010-07-02 07:58:21 EDT
This issue did NOT affect the versions of the libtiff package,
as shipped with Red Hat Enterprise Linux 3, 4, or 5.

--

This issue affects the versions of the libtiff package,
as shipped with Fedora releases of 12 and 13.

This issue affects the versions of the mingw32-libtiff package,
as shipped with Fedora releases of 12 and 13.
Comment 3 Tom Lane 2010-07-02 09:50:17 EDT
Note that we still are vulnerable to this in Fedora and RHEL6 --- I didn't try to fix this bug since it's not clear what the code should do instead.
Comment 7 errata-xmlrpc 2014-02-27 13:35:21 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0222 https://rhn.redhat.com/errata/RHSA-2014-0222.html
Comment 8 Vincent Danen 2014-02-27 14:35:37 EST
Statement:

Not vulnerable. This issue did not affect the versions of libtiff as shipped with Red Hat Enterprise Linux 3, 4, or 5.

Note You need to log in before you can comment on or make changes to this bug.